#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <Sample.h>

void MIGraphXSamplesUsage(char* programName)
{
    printf("Usage : %s <index> \n", programName);
    printf("index:\n");
    printf("\t a) Crnn sample.\n");
    printf("\t b) Crnn Dynamic sample.\n");
}

int main(int argc, char *argv[])
{
    if (argc < 2 || argc > 2)
    {
        MIGraphXSamplesUsage(argv[0]);
        return -1;
    }
    if (!strncmp(argv[1], "-h", 2))
    {
        MIGraphXSamplesUsage(argv[0]);
        return 0;
    }
    switch (*argv[1])
    {
        case 'a':
            {
                Sample_Crnn();
                break;
            }
        case 'b':
            {
                Sample_Crnn_Dynamic();
                break;
            }
        default :
            {
                MIGraphXSamplesUsage(argv[0]);
                break;
            }
    }
    return 0;
}